Package org.wildfly.plugin.deployment.resource

## Class Resource

- java.lang.Object
- - org.wildfly.plugin.deployment.resource.Resource

-     public class Resource
      extends Object

  Defines a resource.
  Author:
    James R. Perkins

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Resource()` | Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAddress()` | The address for the resource.
    `Map<String,​String>` | `getProperties()` | The properties for the resource.
    `Resource[]` | `getResources()` | Returns an array of resources that depend on this resource.
    `boolean` | `isAddIfAbsent()` | Whether or not we should add only if the resource is absent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource

          public Resource()

      Default constructor.

  - ### Method Detail

    - #### getAddress

          public String getAddress()

      The address for the resource.
      Returns:
        the address.

    - #### isAddIfAbsent

          public boolean isAddIfAbsent()

      Whether or not we should add only if the resource is absent.
      Returns:
        `true` if the resource should only be added if it does not already exist, otherwise `false`.

    - #### getProperties

          public Map<String,​String> getProperties()

      The properties for the resource. If no properties were defined an empty map is returned.
      Returns:
        the properties.

    - #### getResources

          public Resource[] getResources()

      Returns an array of resources that depend on this resource.

      Note all sub-resources will be ignored if the `isAddIfAbsent()` is defined and his resource is already defined.
      Returns:
        an array of resources that depend on this resource or `null` if there are no child resources.